import QtQuick 2.8



Item{
    id: root
    property bool active: false
    property alias text: buttonText.text
    property string sourceActive: "assets/buttonlightactive.png"
    property string source: "assets/buttonlight.png"
    width: 94
    height: 94

      signal clicked
    Image
    {
        id: image
        source: active?root.sourceActive:root.source



        MouseArea {
            id: mouseArea
            anchors.fill: parent
            anchors.rightMargin: 15
            anchors.leftMargin: 15
            anchors.bottomMargin: 15
            anchors.topMargin: 15

            Connections {
                target: mouseArea
                onClicked: clickAnimation.start()
            }
        }

        SequentialAnimation {
            alwaysRunToEnd: true
            id: clickAnimation

            PropertyAnimation {
                target: image
                property: "opacity"
                from: 1
                to: 0.3
                duration: 350
            }

            ScriptAction {
                script: root.clicked()
            }

            PropertyAnimation {
                target: image
                property: "opacity"
                from: 0.3
                to: 1
                duration: 350
            }


        }
    }

    Text {
        id: buttonText
        x: 31
        y: 78
        width: 32
        height: 18
        color: "#F6F6F6"
        text: "Light"
        font.pixelSize: 15
        horizontalAlignment: Text.AlignHCenter
        font.family: "Source Sans Pro"
    }

}
