import QtQuick 2.0

Item {
    id: root

    property string background: ""
    property string icon: ""
    property bool smallButton: false
    property bool programButton: false
    property bool fullCovered: false
    signal clicked
    width: 75
    height: 75

    Image {
        id: buttonbg
        x: 0
        y: 0
        anchors.centerIn: parent
        source: getBackground()
    }

    Image {
        id: buttonIcon
        anchors.centerIn: buttonbg
        anchors.horizontalCenterOffset: smallButton?-1:0
        anchors.verticalCenterOffset: -2
        source: root.icon
    }



    MouseArea {
        id: mouseArea
        anchors.fill: parent
        anchors.leftMargin: fullCovered?0:15
        anchors.rightMargin: fullCovered?0:programButton?35:15
        anchors.bottomMargin: fullCovered?0:programButton?34:15
        anchors.topMargin: fullCovered?0:programButton?38:15

        Connections {
            target: mouseArea
            onClicked: pressAnimation4.start()
        }

        SequentialAnimation {
            id: pressAnimation4
            alwaysRunToEnd: true

            ScriptAction{
                script: mouseArea.enabled = false
            }

            PropertyAnimation {
                target: root
                property: "opacity"
                from: 1
                to: 0.3
                duration: 350
                easing.type: Easing.OutCirc
            }


            PropertyAnimation {
                target: root
                property: "opacity"
                from: 0.3
                to: 1
                duration: 50
                easing.type: Easing.OutCirc
            }

            ScriptAction {
                script: root.clicked()
            }


            PauseAnimation {
                duration: 500
            }

            ScriptAction{
                script: mouseArea.enabled = true
            }



        }
    }

    function getBackground(): string{

        if(root.background.length>0)
            return root.background
        if(root.smallButton)
            return "assets/componentbuttonbghol.png"
        else
            return "assets/componentbuttonbgcon.png"
    }
}
