import QtQuick 2.8
import QtQuickUltralite.Extras

//import QtQuick.Controls 2.15
Item {
    id: lowactive
    width: 480
    height: 272

    property string temperatureText: "120°"
    property string timerText: "00:00"
    property string watchText: "17:00"

    signal temperatureSelected
    signal timerSelected
    signal programSelected
    signal functionSelected
    signal powerSelected
    signal settingsSelected

    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: 0
            y: 0
            source: "assets/bg.png"
        }

        Image {
            id: bg1
            x: 204
            y: 40
            source: "assets/bg_5.png"
        }

        Image {
            id: icon_light_active
            x: 233
            y: 72
            visible: OvenManager.lightActive
            source: "assets/icon_light_active.png"
        }

        Image {
            id: icon_grill_active
            x: 233
            y: 101
            visible: OvenManager.grillActive
            source: "assets/icon_grill_active.png"
        }

        Image {
            id: icon_steam_active
            x: 235
            y: 119
            visible: OvenManager.steamActive
            source: "assets/icon_steam_active.png"
        }

        Image {
            id: icon_defrost_active
            x: 235
            y: 144
            visible: OvenManager.defrostActive
            source: "assets/icon_defrost_active.png"
        }

        Image {
            id: icon_clean_active
            x: 236
            y: 169
            visible: OvenManager.cleanActive
            source: "assets/icon_clean_active.png"
        }

        Image {
            id: icon_lock_active
            x: 236
            y: 195
            visible: OvenManager.lockActive
            source: "assets/icon_lock_active.png"
        }
    }

    Item {
        id: timer
        x: 61
        y: 90
        width: 123
        height: 165
        Text {
            id: number_timer
            x: -2
            y: 16
            width: 127
            height: 56
            color: "#F9B233"
            text: timerText
            font.pixelSize: 60
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        Text {
            id: text_label_timer
            x: 42
            y: -4
            width: 44
            height: 15
            color: "#706F6F"
            text: "TIMER"
            font.pixelSize: 15
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        GenericButton {
            id: timerButton
            x: 17
            y: 80
            background: "assets/button_stop_bg.png"
            icon: ""

            Connections {
                target: timerButton
                onClicked: {
                    if (OvenManager.running)
                        OvenManager.setRunning(false)
                    else
                        timerSelected()
                }
            }
        }

        Text {
            id: reset
            x: 44
            y: 116
            width: 31
            height: 11
            color: "#FFFFFF"
            text: "RESET"
            font.pixelSize: 12
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }
    }

    Item {
        id: temperature
        x: 304
        y: 90
        width: 105
        height: 170

        GenericButton {
            id: temperatureButton
            x: 8
            y: 79
            width: 85
            height: 85
            icon: "assets/timer.png"

            Connections {
                target: temperatureButton
                onClicked: temperatureSelected()
            }
        }

        Text {
            id: numbertemperature
            x: -1
            y: 14
            width: 107
            height: 58
            color: "#F9B233"
            text: temperatureText
            font.pixelSize: 60
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        Text {
            id: textlabeltemperature
            x: 0
            y: -4
            width: 105
            height: 15
            color: "#706F6F"
            text: "TEMPERATURE"
            font.pixelSize: 15
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }
    }

    GenericButton {
        id: functionButton
        x: 355
        y: 1
        width: 74
        height: 75
        smallButton: true
        icon: "assets/componenticonfunctio.png"

        Connections {
            target: functionButton
            onClicked: functionSelected()
        }
    }

    GenericButton {
        id: settingButton
        x: 410
        y: 1
        icon: "assets/componenticonsetting.png"
        smallButton: true
        Connections {
            target: settingButton
            onClicked: settingsSelected()
        }
    }

    GenericButton {
        id: programButton
        x: 299
        y: 1
        smallButton: true
        icon: "assets/componenticonprogram.png"

        Connections {
            target: programButton
            onClicked: programSelected()
        }
    }

    GenericButton {
        id: buttonon
        x: 0
        y: 1
        smallButton: true
        icon: "assets/componenticonon.png"

        Connections {
            target: buttonon
            onClicked: powerSelected()
        }
    }

    Text {
        id: clock
        x: 81
        y: 22
        width: 52
        height: 23
        color: "#FFFFFF"
        text: watchText
        font.pixelSize: 25
        horizontalAlignment: Text.AlignLeft
        font.family: "Source Sans Pro"
    }

    Image {
        id: qtlogowhitergb
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }

    Text {
        id: fps
        x: 404
        y: 234
        color: "#FFFFFF"
        width: 70
        height: 30
        text: QulPerf.fps + " FPS"
        font.pixelSize: 22
        horizontalAlignment: Text.AlignRight
        font.family: "Source Sans Pro"
        visible: OvenManager.performanceEnabled
    }

    states: [
        State {
            name: "running_state"
            when: OvenManager.running

            PropertyChanges {
                target: number_timer
                color: "#F9B233"
            }

            PropertyChanges {
                target: numbertemperature
                color: "#F9B233"
            }

            PropertyChanges {
                target: timerButton
                background: "assets/button_stop_bg.png"
            }

            PropertyChanges {
                target: timerButton
                width: 85
            }

            PropertyChanges {
                target: timerButton
                height: 85
            }

            PropertyChanges {
                target: reset
                visible: true
            }

            PropertyChanges {
                target: timerButton
                icon: ""
            }
        },
        State {
            name: "stopped_state"
            when: !OvenManager.running

            PropertyChanges {
                target: number_timer
                color: "#575756"
            }

            PropertyChanges {
                target: numbertemperature
                color: "#575756"
            }

            PropertyChanges {
                target: timerButton
                background: "assets/componentbuttonbgcon.png"
            }

            PropertyChanges {
                target: timerButton
                width: 90
            }

            PropertyChanges {
                target: timerButton
                height: 90
            }

            PropertyChanges {
                target: reset
                visible: false
            }

            PropertyChanges {
                target: timerButton
                icon: "assets/timer.png"
            }
        }
    ]
}
