import QtQuick 2.8
//import QtQuick.Controls 2.0

Item {
    id: lowidle
    width: 480
    height: 272

    property string watchText: "17:00"

    signal startSelected

    Rectangle {
        anchors.fill: parent
        color: "#000000"
    }

    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: -1
            y: 0
            width: 481
            height: 272
            source: "assets/bg.png"
        }
    }

    Item {
        id: buttonstart
        x: 173
        y: 75
        width: 134
        height: 134
        Image {
            id: button_start_bg
            x: 0
            y: 0
            source: "assets/buttonstartbg.png"

            MouseArea {
                id: mouseArea
                x: 17
                y: 17
                width: 100
                height: 100

                Connections {
                    target: mouseArea
                    onPressed: pressAnimation.start()
                }

                SequentialAnimation {
                    alwaysRunToEnd: true
                    id: pressAnimation
                    PropertyAnimation {
                        target: buttonstart
                        property: "opacity"
                        from: 1
                        to: 0.3
                        duration: 700
                    }
                    ScriptAction {
                        script: buttonstart.opacity = 1
                    }
                }

                Connections{
                    target: pressAnimation
                    onFinished: startSelected()

                }
            }

            SequentialAnimation {
                loops: Animation.Infinite
                running: true
                PropertyAnimation {
                    target: button_start_bg
                    property: "opacity"
                    from: 1
                    to: 0.2
                    duration: 2000
                }
                PropertyAnimation {
                    target: button_start_bg
                    property: "opacity"
                    from: 0.3
                    to: 1
                    duration: 2000
                }

                PauseAnimation {
                    duration: 1000
                }
            }
        }

        Image {
            id: button_start_text
            x: 36
            y: 60
            source: "assets/button_start_text.png"
        }
    }

    Text {
        id: clock
        x: 11
        y: 9
        width: 126
        height: 56
        color: "#FFFFFF"
        text: watchText
        font.pixelSize: 60
        horizontalAlignment: Text.AlignLeft
        font.family: "Source Sans Pro"
    }

    Image {
        id: qtlogowhitergb
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }
}
