import QtQuick 2.8

Item {
    id: root
    width: 480
    height: 272

    property int currentProgram: 0
    signal programSelected(int index)
    signal closeClicked


    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: 0
            y: 0
            source: "assets/bg.png"
        }

        Image {
            id: lowinactiveblur
            x: 0
            y: 0
            source: "assets/lowinactiveblur.png"
        }
    }

    ListView {
        id: listView
        width: parent.width
        height: 165
        orientation: Qt.Horizontal
        anchors.centerIn: parent
        clip: true
        spacing: -25
        property int currentIndex: 0

        model: ListModel {
            ListElement {
                icon: "assets/iconprogramcake.png"
                iconActive: "assets/iconprogramcake_1.png"
                name: "CAKE"
            }

            ListElement {
                icon: "assets/iconprogrambread.png"
                iconActive: "assets/iconprogrambread_1.png"
                name: "BREAD"
            }

            ListElement {
                icon: "assets/iconprogrampizza.png"
                iconActive: "assets/iconprogrampizza_1.png"
                name: "PIZZA"
            }

            ListElement {
                icon: "assets/iconprogramfish.png"
                iconActive: "assets/iconprogramfish_1.png"
                name: "FISH"
            }

            ListElement {
                icon: "assets/iconprogramveggie.png"
                iconActive: "assets/iconprogramveggie_1.png"
                name: "VEGGIE"
            }

            ListElement {
                icon: "assets/iconprogrampoultry.png"
                iconActive: "assets/iconprogrampoultry_1.png"
                name: "POULTRY"
            }

            ListElement {
                icon: "assets/iconprogramsteam.png"
                iconActive: "assets/iconprogramsteam_1.png"
                name: "STEAM"
            }

            ListElement {
                icon: "assets/iconprogramredmeat.png"
                iconActive: "assets/iconprogramredmeat_1.png"
                name: "MEAT"
            }

            ListElement {
                icon: "assets/iconprogramwarmer.png"
                iconActive: "assets/iconprogramwarmer_1.png"
                name: "WARMER"
            }

            ListElement {
                icon: "assets/iconprogrampreheat.png"
                iconActive: "assets/iconprogrampreheat_1.png"
                name: "PRE HEAT"
            }

            ListElement {
                icon: "assets/iconprogramdelicate.png"
                iconActive: "assets/iconprogramdelicate_1.png"
                name: "DELICATE"
            }

            ListElement {
                icon: "assets/iconprogramhighfan.png"
                iconActive: "assets/iconprogramhighfan_1.png"
                name: "HIGH FAN"
            }
        }
        delegate: GenericButton {
            id: delegateItem
            width: 154
            height: 165
            programButton: true
            background: isCurrent ? "assets/buttonbgprogramactiv.png" : "assets/buttonbgprogram.png"
            enabled: !isCurrent
            property bool isCurrent: (index === root.currentProgram)

            Text {
                x: 40
                y: 101
                width: 63
                height: 16
                color: isCurrent ? "#000000" : "#706F6F"
                text: model.name
                font.pixelSize: 15
                horizontalAlignment: Text.AlignHCenter
                font.family: "Source Sans Pro"
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Image {
                y: 55
                source: isCurrent ? model.iconActive : model.icon
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.horizontalCenterOffset: -7
            }



            Connections {
                target: delegateItem
                onClicked: programSelected(index)
            }


        }
    }

    Item {
        id: program_slider
        x: 62
        y: 52
        width: 357
        height: 181


        Image {
            id: itemp_nav_path
            x: 0
            y: 176
            source: "assets/itemp_nav_path.png"
        }

        Image {
            id: item_nav_slider
            x: listView.contentX*0.215
            y: 174
            source: "assets/item_nav_slider.png"
        }
    }

    Item {
        id: navigation
        x: 14
        y: 14
        width: 330
        height: 48
        Text {
            id: titlechooseprogram
            x: 120
            y: 9
            width: 211
            height: 36
            color: "#F6F6F6"
            text: "Choose program"
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        GenericButton{
            id: navbuttonback
            width: 48
            height: 48
            fullCovered: true
            background: "assets/navbuttonback.png"
            Connections{
                target: navbuttonback
                onClicked: closeClicked()
            }

        }

    }

    Image {
        id: qtlogowhitergb
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"a275b084662d734d1936f97447b6e796"}D{i:22;uuid:"43cb6c8b7027ae07e13af04f537fb3ae"}
}
##^##*/

