import QtQuick 2.8
import QtQuick.Timeline 1.0

Item {
    id: lowsettemperature
    width: 480
    height: 272

    property int temperature: 0
    readonly property int maxTemperature: 275
     property int angleDegree: 90-temperature

    signal closeClicked
    signal temperatureUpdated(int value)



    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: 0
            y: 0
            source: "assets/bg.png"
        }
    }

    Item {
        id: temperatureItem
        x: 44
        y: 72
        width: 393
        height: 191


        GenericButton{
            id: minusButton
            x: 0
            y: 50
            enabled: (temperature > 0)
            icon: "assets/iconminus.png"

            Connections{
                target: minusButton
                onClicked:{
                    temperatureUpdated(-25)
                }
            }

        }



        GenericButton{
            id: plusButton
            x: 303
            y: 50
            enabled: (temperature < maxTemperature)
            icon: "assets/iconplus.png"

            Connections{
                target: plusButton
                onClicked:{
                    temperatureUpdated(25)
                }
            }

        }

        Image {
            id: itemslidertemperatur
            x: 104
            y: 0
            source: "assets/itemslidertemperatur.png"

            Image {
                id: arcoverstatic1
                source: "assets/temperature_path_over_static_1.png"
                anchors.centerIn: parent
                anchors.verticalCenterOffset: -1
                anchors.horizontalCenterOffset: -0.5
            }

            Image {
                id: arcoverstatic2
                source: "assets/temperature_path_over_static_2.png"
                anchors.centerIn: parent
                anchors.verticalCenterOffset: -1
                anchors.horizontalCenterOffset: -0.5
            }

            Image {
                id: arcoverstatic3
                source: "assets/temperature_path_over_static_3.png"
                anchors.centerIn: parent
                anchors.verticalCenterOffset: -1
                anchors.horizontalCenterOffset: -0.5
            }

            Image {
                id: arcover
                anchors.verticalCenter: parent.verticalCenter
                source: "assets/temperature_path_over.png"
                rotation: 270
                anchors.horizontalCenter: parent.horizontalCenter
                anchors.verticalCenterOffset: -1
                anchors.horizontalCenterOffset: -0.5
            }

            Text {
                id: texttemperature
                anchors.centerIn: parent
                anchors.horizontalCenterOffset: temperature ? 8 : 0
                anchors.verticalCenterOffset: -4
                color: "#F9B233"
                text: temperature ? temperature + "°" : "- -"
                font.pixelSize: 50
                horizontalAlignment: Text.AlignHCenter
                font.family: "Source Sans Pro"
            }
        }
    }

    Item {
        id: navigation
        x: 15
        y: 15
        width: 330
        height: 47
        Text {
            id: titlesettimer
            x: 119
            y: 9
            width: 212
            color: "#F6F6F6"
            text: "Set temperature"
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        GenericButton {
            id: navbuttonclose
            width: 47
            height: 47
            fullCovered: true
            background: "assets/navbuttonclose.png"
            Connections {
                target: navbuttonclose
                onClicked: closeClicked()
            }
        }
    }

    Image {
        id: qtlogowhitergb
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }

    Timeline {
        id: timeline
        enabled: true
        endFrame: 1000
        startFrame: 0
        currentFrame: (temperature / maxTemperature) * 1000

        KeyframeGroup {
            target: arcover
            property: "rotation"
            Keyframe {
                frame: 0
                value: 0
            }

            Keyframe {
                frame: 1000
                value: 270
            }
        }

        KeyframeGroup {
            target: arcoverstatic1
            property: "visible"
            Keyframe {
                value: false
                frame: 332
            }
        }

        KeyframeGroup {
            target: arcoverstatic2
            property: "visible"
            Keyframe {
                value: false
                frame: 665
            }
        }

        KeyframeGroup {
            target: arcoverstatic3
            property: "visible"
            Keyframe {
                value: false
                frame: 800
            }
        }
    }
}
