import QtQuick 2.8

Item {
    id: root
    width: 480
    height: 272

    property string timerText: "00:00"

    signal closeClicked
    signal startClicked
    signal timeUpdated(int value)

    Item {
        id: bg
        x: 0
        y: 0
        width: 480
        height: 272
        Image {
            id: bgAsset
            x: 0
            y: 0
            source: "assets/bg.png"
        }
    }

    GenericButton {
        id: startButton
        x: 173
        y: 139
        width: 134
        height: 133
        background: "assets/buttonstartbg.png"

        Text {
            id: start
            x: 34
            y: 52
            width: 66
            height: 22
            color: "#FFFFFF"
            text: "START"
            font.pixelSize: 24
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }

        Connections {
            target: startButton
            onClicked: startClicked()
        }
    }


    Item {
        id: timer
        x: 41
        y: 64
        width: 399
        height: 166

        GenericButton {
            id: min5Button
            x: 0
            y: 115
            width: 52
            height: 52
            fullCovered: true
            background: "assets/button5min.png"
            Connections {
                target: min5Button
                onClicked: timeUpdated(300)
            }
        }


        GenericButton {
            id: min10Button
            x: 71
            y: 115
            width: 52
            height: 52
            fullCovered: true
            background: "assets/button10min.png"
            Connections {
                target: min10Button
                onClicked: timeUpdated(600)
            }
        }

        GenericButton {
            id: min30Button
            x: 274
            y: 114
            width: 52
            height: 52
            fullCovered: true
            background: "assets/button30min.png"
            Connections {
                target: min30Button
                onClicked: timeUpdated(1800)
            }
        }

        GenericButton {
            id: hour1Button
            x: 347
            y: 114
            width: 52
            height: 52
            fullCovered: true
            background: "assets/button1hour.png"
            Connections {
                target: hour1Button
                onClicked: timeUpdated(3600)
            }
        }

        GenericButton {
            id: minusButton
            x: 34
            y: 0
           icon: "assets/iconminus.png"

            Connections {
                target: minusButton
                onClicked: timeUpdated(-30)
            }
        }

        GenericButton {
            id: plusButton
            x: 274
            y: 0
             icon: "assets/iconplus.png"

            Connections {
                target: plusButton
                onClicked: timeUpdated(30)
            }

        }

        Text {
            id: texttimer
            x: 135
            y: 9
            width: 127
            height: 55
            color: "#F9B233"
            text: root.timerText
            font.pixelSize: 60
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }
    }

    Item {
        id: navigation
        x: 15
        y: 15
        width: 285
        height: 47
        Text {
            id: titlesettimer
            x: 166
            y: 7
            width: 120
            height: 31
            color: "#F6F6F6"
            text: "Set timer"
            font.pixelSize: 30
            horizontalAlignment: Text.AlignHCenter
            font.family: "Source Sans Pro"
        }


        GenericButton {
            id: closeButton
            x: 0
            y: 0
            width: 48
            height: 48
            fullCovered: true
            background: "assets/navbuttonclose.png"
            Connections {
                target: closeButton
                onClicked: closeClicked()
            }
        }

    }

    Image {
        id: qtlogowhitergb
        x: 9
        y: 234
        source: "assets/qtlogowhitergb.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"836a899bbea6c2951b160ce765a86e2b"}D{i:2;uuid:"6187d04a4b4f65e33781ce736303a644_asset"}
D{i:1;uuid:"6187d04a4b4f65e33781ce736303a644"}D{i:6;uuid:"5a89bf0772171d21294ff1dd833c3eba"}
}
##^##*/

